* {
    font-family: "Inter", 'Sans Serif Collection';
}

html {
    background-image: linear-gradient(lightgray 0% 50%, steelblue 100%);
    height: 100%;
}

.vbox {
    display: flex;
    flex-direction: column;
    align-self: center;
    align-items: center;
}

.hbox {
    display: flex;
    flex-direction: row;
    align-self: center;
    align-items: center;
}

.chatview {
    width: 500px;
    height: 800px;
    background-color: steelblue;
    border-radius: 20px;
    padding: 10px;
    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.5);
}

.messages {
    width: 500px;
    flex: 1;
    overflow-y: auto;
    background-color: white;
    border-radius: 10px;
}

.question {
    width: fit-content;
    max-width: 250px;
    padding: 10px;
    margin-right: 5px;
    border-radius: 10px;
    align-self: end;
    color: white;
    background-color: steelblue;
}

.answer {
    width: fit-content;
    max-width: 250px;
    padding: 10px;
    margin-left: 5px;
    border-radius: 10px;
    align-self: start;
    color: white;
    background-color: dimgray;
}

.suggestions {
    width: 500px;
    border-radius: 10px;
    background-color: midnightblue;
}

.suggestion {
    min-height: 40px;
    width: 95%;
    color: white;
    text-align: center;
    align-content: center;
    background-color: steelblue;
    border-radius: 10px;
    scale: 1;
    transition: scale 0.1s;
}

    .suggestion:hover {
        min-height: 40px;
        width: 95%;
        color: white;
        text-align: center;
        align-content: center;
        background-color: steelblue;
        border-radius: 10px;
        scale: 1.05;
        transition: scale 0.1s;
    }

    .suggestion:active {
        min-height: 40px;
        width: 95%;
        color: white;
        text-align: center;
        align-content: center;
        background-color: steelblue;
        border-radius: 10px;
        scale: 0.95;
        transition: scale 0.1s;
    }

.input {
    width: 500px;
    height: 50px;
    border-width: 0px;
    border-radius: 10px;
}

.checklist-item {
    text-align: start;
    align-self: start;
    background-color: rgba(0, 0, 0, 0.5);
    border-radius: 5px;
    padding: 5px;
    scale: 1;
    transition: scale 0.1s;
}

    .checklist-item:hover {
        text-align: start;
        align-self: start;
        background-color: rgba(0, 0, 0, 0.5);
        border-radius: 5px;
        padding: 5px;
        scale: 1.05;
        transition: scale 0.1s;
    }

    .checklist-item:active {
        text-align: start;
        align-self: start;
        background-color: rgba(0, 0, 0, 0.5);
        border-radius: 5px;
        padding: 5px;
        scale: 0.95;
        transition: scale 0.1s;
    }